package cn.iocoder.yudao.module.order.vo.orderDeparture;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 订单始发仓库 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderDepartureBaseVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "始发地id")
    private Long departureId;

    @ApiModelProperty(value = "始发国家id")
    private Long departureCountryId;

    @ApiModelProperty(value = "始发仓库id")
    private Long departureWarehouseId;

    @ApiModelProperty(value = "始发地详情")
    private String departure;

    @ApiModelProperty(value = "0调仓标志;1原始数据，真正的始发仓库")
    private Integer type;

    @ApiModelProperty(value = "货到没到这个仓库：0未到；1已到")
    private Boolean isThis;

}
